Index: src/boundary.cpp
===================================================================
--- src/boundary.cpp	(revision 1d9b7aa1fbdc49500a7e863a8553e98d6859a779)
+++ src/boundary.cpp	(revision 34e05926b0e581fa27fb52f292bc4ac9378e13b2)
@@ -118,5 +118,5 @@
  * \param *mol molecule structure with atom positions
  */
-void write_vrml_file(ofstream *out, ofstream *vrmlfile, class Tesselation *Tess, class molecule *mol)
+void WriteVrmlFile(ofstream *out, ofstream *vrmlfile, class Tesselation *Tess, class molecule *mol)
 {
   atom *Walker = mol->start;
@@ -172,5 +172,5 @@
  * \param *mol molecule structure with atom positions
  */
-void write_raster3d_file(ofstream *out, ofstream *rasterfile, class Tesselation *Tess, class molecule *mol)
+void WriteRaster3dFile(ofstream *out, ofstream *rasterfile, class Tesselation *Tess, class molecule *mol)
 {
   atom *Walker = mol->start;
@@ -227,5 +227,5 @@
  * \param N arbitrary number to differentiate various zones in the tecplot format
  */
-void write_tecplot_file(ofstream *out, ofstream *tecplot, class Tesselation *TesselStruct, class molecule *mol, int N)
+void WriteTecplotFile(ofstream *out, ofstream *tecplot, class Tesselation *TesselStruct, class molecule *mol, int N)
 {
   if ((tecplot != NULL) && (TesselStruct != NULL)) {
@@ -440,10 +440,10 @@
  * \return *TesselStruct is filled with convex boundary and tesselation is stored under \a *filename.
  */
-void Find_convex_border(ofstream *out, molecule* mol, class LinkedCell *LCList, const char *filename)
+void FindConvexBorder(ofstream *out, molecule* mol, class LinkedCell *LCList, const char *filename)
 {
   bool BoundaryFreeFlag = false;
   Boundaries *BoundaryPoints = NULL;
 
-  cout << Verbose(1) << "Begin of find_convex_border" << endl;
+  cout << Verbose(1) << "Begin of FindConvexBorder" << endl;
 
   if (mol->TesselStruct != NULL) // free if allocated
@@ -509,5 +509,5 @@
       OutputName.append(TecplotSuffix);
       ofstream *tecplot = new ofstream(OutputName.c_str());
-      write_tecplot_file(out, tecplot, mol->TesselStruct, mol, 0);
+      WriteTecplotFile(out, tecplot, mol->TesselStruct, mol, 0);
       tecplot->close();
       delete(tecplot);
@@ -518,5 +518,5 @@
       OutputName.append(Raster3DSuffix);
       ofstream *rasterplot = new ofstream(OutputName.c_str());
-      write_raster3d_file(out, rasterplot, mol->TesselStruct, mol);
+      WriteRaster3dFile(out, rasterplot, mol->TesselStruct, mol);
       rasterplot->close();
       delete(rasterplot);
@@ -556,5 +556,5 @@
       OutputName.append(TecplotSuffix);
       ofstream *tecplot = new ofstream(OutputName.c_str());
-      write_tecplot_file(out, tecplot, mol->TesselStruct, mol, 0);
+      WriteTecplotFile(out, tecplot, mol->TesselStruct, mol, 0);
       tecplot->close();
       delete(tecplot);
@@ -564,5 +564,5 @@
       OutputName.append(Raster3DSuffix);
       ofstream *rasterplot = new ofstream(OutputName.c_str());
-      write_raster3d_file(out, rasterplot, mol->TesselStruct, mol);
+      WriteRaster3dFile(out, rasterplot, mol->TesselStruct, mol);
       rasterplot->close();
       delete(rasterplot);
@@ -575,5 +575,5 @@
     delete[] (BoundaryPoints);
 
-  cout << Verbose(1) << "End of find_convex_border" << endl;
+  cout << Verbose(1) << "End of FindConvexBorder" << endl;
 };
 
@@ -732,5 +732,5 @@
       OutputName.append(TecplotSuffix);
       ofstream *tecplot = new ofstream(OutputName.c_str());
-      write_tecplot_file(out, tecplot, mol->TesselStruct, mol, 0);
+      WriteTecplotFile(out, tecplot, mol->TesselStruct, mol, 0);
       tecplot->close();
       delete(tecplot);
@@ -741,5 +741,5 @@
       OutputName.append(Raster3DSuffix);
       ofstream *rasterplot = new ofstream(OutputName.c_str());
-      write_raster3d_file(out, rasterplot, mol->TesselStruct, mol);
+      WriteRaster3dFile(out, rasterplot, mol->TesselStruct, mol);
       rasterplot->close();
       delete(rasterplot);
@@ -816,5 +816,5 @@
   class Tesselation *TesselStruct = NULL;
   LinkedCell LCList(mol, 10.);
-  Find_convex_border(out, mol, &LCList, NULL);
+  FindConvexBorder(out, mol, &LCList, NULL);
   double clustervolume;
   if (ClusterVolume == 0)
@@ -957,5 +957,5 @@
     if ((*ListRunner)->TesselStruct == NULL) {
       *out << Verbose(1) << "Pre-creating tesselation for molecule " << *ListRunner << "." << endl;
-      Find_non_convex_border((ofstream *)&cout, (*ListRunner), LCList[i], NULL, 5.);
+      FindNonConvexBorder((ofstream *)&cout, (*ListRunner), LCList[i], NULL, 5.);
     }
     i++;
@@ -1082,5 +1082,5 @@
  * \para RADIUS radius of the virtual sphere
  */
-void Find_non_convex_border(ofstream *out, molecule* mol, class LinkedCell *LCList, const char *filename, const double RADIUS)
+void FindNonConvexBorder(ofstream *out, molecule* mol, class LinkedCell *LCList, const char *filename, const double RADIUS)
 {
   int N = 0;
@@ -1101,5 +1101,5 @@
   LineMap::iterator baseline;
   LineMap::iterator testline;
-  *out << Verbose(0) << "Begin of Find_non_convex_border\n";
+  *out << Verbose(0) << "Begin of FindNonConvexBorder\n";
   bool flag = false;  // marks whether we went once through all baselines without finding any without two triangles
   bool failflag = false;
@@ -1110,5 +1110,5 @@
   }
 
-  mol->TesselStruct->Find_starting_triangle(out, RADIUS, LCList);
+  mol->TesselStruct->FindStartingTriangle(out, RADIUS, LCList);
 
   baseline = mol->TesselStruct->LinesOnBoundary.begin();
@@ -1119,8 +1119,8 @@
   while ((baseline != mol->TesselStruct->LinesOnBoundary.end()) || (flag)) {
     if (baseline->second->triangles.size() == 1) {
-      failflag = mol->TesselStruct->Find_next_suitable_triangle(out, *(baseline->second), *(((baseline->second->triangles.begin()))->second), RADIUS, N, LCList); //the line is there, so there is a triangle, but only one.
+      failflag = mol->TesselStruct->FindNextSuitableTriangle(out, *(baseline->second), *(((baseline->second->triangles.begin()))->second), RADIUS, N, LCList); //the line is there, so there is a triangle, but only one.
       flag = flag || failflag;
       if (!failflag)
-        cerr << "WARNING: Find_next_suitable_triangle failed." << endl;
+        cerr << "WARNING: FindNextSuitableTriangle failed." << endl;
       // write temporary envelope
       if ((DoSingleStepOutput && (mol->TesselStruct->TrianglesOnBoundaryCount % SingleStepWidth == 0))) { // if we have a new triangle and want to output each new triangle configuration
@@ -1138,5 +1138,5 @@
             *out << Verbose(1) << "Writing temporary non convex hull to file " << NameofTempFile << ".\n";
             tempstream = new ofstream(NameofTempFile.c_str(), ios::trunc);
-            write_tecplot_file(out, tempstream, mol->TesselStruct, mol, TriangleFilesWritten);
+            WriteTecplotFile(out, tempstream, mol->TesselStruct, mol, TriangleFilesWritten);
             tempstream->close();
             tempstream->flush();
@@ -1152,5 +1152,5 @@
             *out << Verbose(1) << "Writing temporary non convex hull to file " << NameofTempFile << ".\n";
             tempstream = new ofstream(NameofTempFile.c_str(), ios::trunc);
-            write_raster3d_file(out, tempstream, mol->TesselStruct, mol);
+            WriteRaster3dFile(out, tempstream, mol->TesselStruct, mol);
     //        // include the current position of the virtual sphere in the temporary raster3d file
     //        // make the circumsphere's center absolute again
@@ -1191,4 +1191,7 @@
   }
 
+  // Purges surplus triangles.
+  mol->TesselStruct->RemoveDegeneratedTriangles();
+
   // write final envelope
   if (filename != 0) {
@@ -1198,5 +1201,5 @@
       OutputName.append(TecplotSuffix);
       ofstream *tecplot = new ofstream(OutputName.c_str());
-      write_tecplot_file(out, tecplot, mol->TesselStruct, mol, -1);
+      WriteTecplotFile(out, tecplot, mol->TesselStruct, mol, -1);
       tecplot->close();
       delete(tecplot);
@@ -1206,5 +1209,5 @@
       OutputName.append(Raster3DSuffix);
       ofstream *raster = new ofstream(OutputName.c_str());
-      write_raster3d_file(out, raster, mol->TesselStruct, mol);
+      WriteRaster3dFile(out, raster, mol->TesselStruct, mol);
       raster->close();
       delete(raster);
@@ -1257,8 +1260,7 @@
 //    << "for atom " << a << " (inside)." << endl;
 
-
   if (freeLC)
     delete(LCList);
-  *out << Verbose(0) << "End of Find_non_convex_border\n";
+  *out << Verbose(0) << "End of FindNonConvexBorder\n";
 };
 
Index: src/boundary.hpp
===================================================================
--- src/boundary.hpp	(revision 1d9b7aa1fbdc49500a7e863a8553e98d6859a779)
+++ src/boundary.hpp	(revision 34e05926b0e581fa27fb52f292bc4ac9378e13b2)
@@ -37,8 +37,8 @@
 void PrepareClustersinWater(ofstream *out, config *configuration, molecule *mol, double ClusterVolume, double celldensity);
 molecule * FillBoxWithMolecule(ofstream *out, MoleculeListClass *List, molecule *filler, config &configuration, double distance[NDIM], double RandAtomDisplacement, double RandMolDisplacement, bool DoRandomRotation);
-void Find_convex_border(ofstream *out, molecule* mol, class LinkedCell *LCList, const char *filename);
-void Find_non_convex_border(ofstream *out, molecule* mol, class LinkedCell *LC, const char *tempbasename, const double RADIUS);
+void FindConvexBorder(ofstream *out, molecule* mol, class LinkedCell *LCList, const char *filename);
+void FindNonConvexBorder(ofstream *out, molecule* mol, class LinkedCell *LC, const char *tempbasename, const double RADIUS);
 double ConvexizeNonconvexEnvelope(ofstream *out, class Tesselation *TesselStruct, molecule *mol, char *filename);
-void Find_next_suitable_point(class BoundaryTriangleSet *BaseTriangle, class BoundaryLineSet *BaseLine, atom*& OptCandidate, Vector *OptCandidateCenter, double *ShortestAngle, const double RADIUS, LinkedCell *LC);
+void FindNextSuitablePoint(class BoundaryTriangleSet *BaseTriangle, class BoundaryLineSet *BaseLine, atom*& OptCandidate, Vector *OptCandidateCenter, double *ShortestAngle, const double RADIUS, LinkedCell *LC);
 Boundaries *GetBoundaryPoints(ofstream *out, molecule *mol);
 void CalculateConcavityPerBoundaryPoint(ofstream *out, class Tesselation *TesselStruct);
Index: src/builder.cpp
===================================================================
--- src/builder.cpp	(revision 1d9b7aa1fbdc49500a7e863a8553e98d6859a779)
+++ src/builder.cpp	(revision 34e05926b0e581fa27fb52f292bc4ac9378e13b2)
@@ -584,5 +584,5 @@
         LinkedCell LCList(mol, 10.);
         class Tesselation *TesselStruct = NULL;
-        Find_convex_border((ofstream *)&cout, mol, &LCList, NULL);
+        FindConvexBorder((ofstream *)&cout, mol, &LCList, NULL);
         double clustervolume = VolumeOfConvexEnvelope((ofstream *)&cout, TesselStruct, configuration);
         cout << Verbose(0) << "The tesselated surface area is " << clustervolume << "." << endl;
@@ -644,5 +644,5 @@
   Vector x,y,z,n; // coordinates for absolute point in cell volume
   double *factor; // unit factor if desired
-  double bond, min_bond;
+  double bond, minBond;
   char choice;  // menu choice char
   bool valid;
@@ -683,13 +683,13 @@
         first = mol->AskAtom("Enter first (fixed) atom: ");
         second = mol->AskAtom("Enter second (shifting) atom: ");
-        min_bond = 0.;
+        minBond = 0.;
         for (int i=NDIM;i--;)
-          min_bond += (first->x.x[i]-second->x.x[i])*(first->x.x[i] - second->x.x[i]);
-        min_bond = sqrt(min_bond);
-        cout << Verbose(0) << "Current Bond length between " << first->type->name << " Atom " << first->nr << " and " << second->type->name << " Atom " << second->nr << ": " << min_bond << " a.u." << endl;
+          minBond += (first->x.x[i]-second->x.x[i])*(first->x.x[i] - second->x.x[i]);
+        minBond = sqrt(minBond);
+        cout << Verbose(0) << "Current Bond length between " << first->type->name << " Atom " << first->nr << " and " << second->type->name << " Atom " << second->nr << ": " << minBond << " a.u." << endl;
         cout << Verbose(0) << "Enter new bond length [a.u.]: ";
         cin >> bond;
         for (int i=NDIM;i--;) {
-          second->x.x[i] -= (second->x.x[i]-first->x.x[i])/min_bond*(min_bond-bond);
+          second->x.x[i] -= (second->x.x[i]-first->x.x[i])/minBond*(minBond-bond);
         }
         //cout << Verbose(0) << "New coordinates of Atom " << second->nr << " are: ";
@@ -1325,5 +1325,5 @@
   int j;
   double volume = 0.;
-  enum ConfigStatus config_present = absent;
+  enum ConfigStatus configPresent = absent;
   clock_t start,end;
   int argptr;
@@ -1425,9 +1425,9 @@
         if (output == NULL) {
           cout << Verbose(1) << "Specified config file " << argv[1] << " not found." << endl;
-          config_present = absent;
+          configPresent = absent;
         } else {
           cout << "Empty configuration file." << endl;
           ConfigFileName = argv[1];
-          config_present = empty;
+          configPresent = empty;
           output.close();
         }
@@ -1440,18 +1440,18 @@
             cout << "new syntax." << endl;
             configuration.Load(ConfigFileName, periode, mol);
-            config_present = present;
+            configPresent = present;
             break;
           case 0:
             cout << "old syntax." << endl;
             configuration.LoadOld(ConfigFileName, periode, mol);
-            config_present = present;
+            configPresent = present;
             break;
           default:
             cout << "Unknown syntax or empty, yet present file." << endl;
-            config_present = empty;
+            configPresent = empty;
        }
       }
     } else
-      config_present = absent;
+      configPresent = absent;
     // 4. parse again through options, now for those depending on elements db and config presence
     argptr = 1;
@@ -1460,5 +1460,5 @@
       if (argv[argptr][0] == '-') {
         argptr++;
-        if ((config_present == present) || (config_present == empty)) {
+        if ((configPresent == present) || (configPresent == empty)) {
           switch(argv[argptr-1][1]) {
             case 'p':
@@ -1474,5 +1474,5 @@
                 else {
                   cout << Verbose(2) << "File found and parsed." << endl;
-                  config_present = present;
+                  configPresent = present;
                 }
               }
@@ -1494,6 +1494,6 @@
                 if (first->type != NULL) {
                   mol->AddAtom(first);  // add to molecule
-                  if ((config_present == empty) && (mol->AtomCount != 0))
-                    config_present = present;
+                  if ((configPresent == empty) && (mol->AtomCount != 0))
+                    configPresent = present;
                 } else
                   cerr << Verbose(1) << "Could not find the specified element." << endl;
@@ -1505,5 +1505,5 @@
           }
         }
-        if (config_present == present) {
+        if (configPresent == present) {
           switch(argv[argptr-1][1]) {
             case 'M':
@@ -1627,5 +1627,5 @@
           	start = clock();
                 LinkedCell LCList(mol, atof(argv[argptr])*2.);
-                Find_non_convex_border((ofstream *)&cout, mol, &LCList, argv[argptr+1], atof(argv[argptr]));
+                FindNonConvexBorder((ofstream *)&cout, mol, &LCList, argv[argptr+1], atof(argv[argptr]));
                 //FindDistributionOfEllipsoids((ofstream *)&cout, &T, &LCList, N, number, filename.c_str());
           	end = clock();
@@ -1871,6 +1871,6 @@
                 cout << Verbose(1) << "Storing tecplot data in " << argv[argptr] << "." << endl;
                 LinkedCell LCList(mol, 10.);
-                //Find_convex_border((ofstream *)&cout, mol, &LCList, argv[argptr]);
-                Find_non_convex_border((ofstream *)&cout, mol, &LCList, argv[argptr], 10.);
+                //FindConvexBorder((ofstream *)&cout, mol, &LCList, argv[argptr]);
+                FindNonConvexBorder((ofstream *)&cout, mol, &LCList, argv[argptr], 10.);
 
                 double volumedifference = ConvexizeNonconvexEnvelope((ofstream *)&cout, mol->TesselStruct, mol, argv[argptr]);
Index: src/config.hpp
===================================================================
--- src/config.hpp	(revision 1d9b7aa1fbdc49500a7e863a8553e98d6859a779)
+++ src/config.hpp	(revision 34e05926b0e581fa27fb52f292bc4ac9378e13b2)
@@ -18,4 +18,19 @@
 #include "molecules.hpp"
 #include "periodentafel.hpp"
+
+class ConfigFileBuffer {
+  public:
+    char **buffer;
+    int *LineMapping;
+    int CurrentLine;
+    int NoLines;
+
+    ConfigFileBuffer();
+    ConfigFileBuffer(char *filename);
+    ~ConfigFileBuffer();
+
+    void InitMapping();
+    void MapIonTypesInBuffer(int NoAtoms);
+};
 
 /** The config file.
Index: src/molecules.hpp
===================================================================
--- src/molecules.hpp	(revision 1d9b7aa1fbdc49500a7e863a8553e98d6859a779)
+++ src/molecules.hpp	(revision 34e05926b0e581fa27fb52f292bc4ac9378e13b2)
@@ -303,19 +303,4 @@
 };
 
-class ConfigFileBuffer {
-  public:
-    char **buffer;
-    int *LineMapping;
-    int CurrentLine;
-    int NoLines;
-
-    ConfigFileBuffer();
-    ConfigFileBuffer(char *filename);
-    ~ConfigFileBuffer();
-
-    void InitMapping();
-    void MapIonTypesInBuffer(int NoAtoms);
-};
-
 
 #endif /*MOLECULES_HPP_*/
Index: src/tesselation.cpp
===================================================================
--- src/tesselation.cpp	(revision 1d9b7aa1fbdc49500a7e863a8553e98d6859a779)
+++ src/tesselation.cpp	(revision 34e05926b0e581fa27fb52f292bc4ac9378e13b2)
@@ -219,5 +219,5 @@
     return true;
   }
-  double angle = getAngle(helper[0], helper[1], BaseLineNormal);
+  double angle = GetAngle(helper[0], helper[1], BaseLineNormal);
   if ((angle - M_PI) > -MYEPSILON) {
     *out << Verbose(2) << "ACCEPT: Angle is greater than pi: convex." << endl;
@@ -1402,7 +1402,7 @@
 
 
-/** Finds the starting triangle for find_non_convex_border().
- * Looks at the outermost point per axis, then Find_second_point_for_Tesselation()
- * for the second and Find_next_suitable_point_via_Angle_of_Sphere() for the third
+/** Finds the starting triangle for FindNonConvexBorder().
+ * Looks at the outermost point per axis, then FindSecondPointForTesselation()
+ * for the second and FindNextSuitablePointViaAngleOfSphere() for the third
  * point are called.
  * \param *out output stream for debugging
@@ -1410,7 +1410,7 @@
  * \param *LC LinkedCell structure with neighbouring TesselPoint's
  */
-void Tesselation::Find_starting_triangle(ofstream *out, const double RADIUS, LinkedCell *LC)
-{
-  cout << Verbose(1) << "Begin of Find_starting_triangle\n";
+void Tesselation::FindStartingTriangle(ofstream *out, const double RADIUS, LinkedCell *LC)
+{
+  cout << Verbose(1) << "Begin of FindStartingTriangle\n";
   int i = 0;
   LinkedNodes *List = NULL;
@@ -1418,5 +1418,5 @@
   TesselPoint* SecondPoint = NULL;
   TesselPoint* MaxPoint[NDIM];
-  double max_coordinate[NDIM];
+  double maxCoordinate[NDIM];
   Vector Oben;
   Vector helper;
@@ -1428,5 +1428,5 @@
   for (i = 0; i < 3; i++) {
     MaxPoint[i] = NULL;
-    max_coordinate[i] = -1;
+    maxCoordinate[i] = -1;
   }
 
@@ -1440,7 +1440,7 @@
         if (List != NULL) {
           for (LinkedNodes::iterator Runner = List->begin();Runner != List->end();Runner++) {
-            if ((*Runner)->node->x[i] > max_coordinate[i]) {
+            if ((*Runner)->node->x[i] > maxCoordinate[i]) {
               cout << Verbose(2) << "New maximal for axis " << i << " node is " << *(*Runner) << " at " << *(*Runner)->node << "." << endl;
-              max_coordinate[i] = (*Runner)->node->x[i];
+              maxCoordinate[i] = (*Runner)->node->x[i];
               MaxPoint[i] = (*Runner);
             }
@@ -1458,5 +1458,5 @@
 
   BTS = NULL;
-  CandidateList *Opt_Candidates = new CandidateList();
+  CandidateList *OptCandidates = new CandidateList();
   for (int k=0;k<NDIM;k++) {
     Oben.x[k] = 1.;
@@ -1465,9 +1465,9 @@
 
     double ShortestAngle;
-    TesselPoint* Opt_Candidate = NULL;
+    TesselPoint* OptCandidate = NULL;
     ShortestAngle = 999999.; // This will contain the angle, which will be always positive (when looking for second point), when looking for third point this will be the quadrant.
 
-    Find_second_point_for_Tesselation(FirstPoint, NULL, Oben, Opt_Candidate, &ShortestAngle, RADIUS, LC); // we give same point as next candidate as its bonds are looked into in find_second_...
-    SecondPoint = Opt_Candidate;
+    FindSecondPointForTesselation(FirstPoint, NULL, Oben, OptCandidate, &ShortestAngle, RADIUS, LC); // we give same point as next candidate as its bonds are looked into in find_second_...
+    SecondPoint = OptCandidate;
     if (SecondPoint == NULL)  // have we found a second point?
       continue;
@@ -1500,14 +1500,14 @@
 
     //cout << Verbose(2) << "INFO: OldSphereCenter is at " << helper << ".\n";
-    Find_third_point_for_Tesselation(
-      Oben, SearchDirection, helper, BLS[0], NULL, *&Opt_Candidates, &ShortestAngle, RADIUS, LC
+    FindThirdPointForTesselation(
+      Oben, SearchDirection, helper, BLS[0], NULL, *&OptCandidates, &ShortestAngle, RADIUS, LC
     );
     cout << Verbose(1) << "List of third Points is ";
-    for (CandidateList::iterator it = Opt_Candidates->begin(); it != Opt_Candidates->end(); ++it) {
+    for (CandidateList::iterator it = OptCandidates->begin(); it != OptCandidates->end(); ++it) {
         cout << " " << *(*it)->point;
     }
     cout << endl;
 
-    for (CandidateList::iterator it = Opt_Candidates->begin(); it != Opt_Candidates->end(); ++it) {
+    for (CandidateList::iterator it = OptCandidates->begin(); it != OptCandidates->end(); ++it) {
       // add third triangle point
       AddTesselationPoint((*it)->point, 2);
@@ -1526,5 +1526,5 @@
 
       // if we do not reach the end with the next step of iteration, we need to setup a new first line
-      if (it != Opt_Candidates->end()--) {
+      if (it != OptCandidates->end()--) {
         FirstPoint = (*it)->BaseLine->endpoints[0]->node;
         SecondPoint = (*it)->point;
@@ -1541,9 +1541,9 @@
       // remove all candidates from the list and then the list itself
       class CandidateForTesselation *remover = NULL;
-      for (CandidateList::iterator it = Opt_Candidates->begin(); it != Opt_Candidates->end(); ++it) {
+      for (CandidateList::iterator it = OptCandidates->begin(); it != OptCandidates->end(); ++it) {
         remover = *it;
         delete(remover);
       }
-      Opt_Candidates->clear();
+      OptCandidates->clear();
     }
   }
@@ -1551,10 +1551,10 @@
   // remove all candidates from the list and then the list itself
   class CandidateForTesselation *remover = NULL;
-  for (CandidateList::iterator it = Opt_Candidates->begin(); it != Opt_Candidates->end(); ++it) {
+  for (CandidateList::iterator it = OptCandidates->begin(); it != OptCandidates->end(); ++it) {
     remover = *it;
     delete(remover);
   }
-  delete(Opt_Candidates);
-  cout << Verbose(1) << "End of Find_starting_triangle\n";
+  delete(OptCandidates);
+  cout << Verbose(1) << "End of FindStartingTriangle\n";
 };
 
@@ -1568,9 +1568,9 @@
  * @param *LC LinkedCell structure with neighbouring points
  */
-bool Tesselation::Find_next_suitable_triangle(ofstream *out, BoundaryLineSet &Line, BoundaryTriangleSet &T, const double& RADIUS, int N, LinkedCell *LC)
-{
-  cout << Verbose(0) << "Begin of Find_next_suitable_triangle\n";
+bool Tesselation::FindNextSuitableTriangle(ofstream *out, BoundaryLineSet &Line, BoundaryTriangleSet &T, const double& RADIUS, int N, LinkedCell *LC)
+{
+  cout << Verbose(0) << "Begin of FindNextSuitableTriangle\n";
   bool result = true;
-  CandidateList *Opt_Candidates = new CandidateList();
+  CandidateList *OptCandidates = new CandidateList();
 
   Vector CircleCenter;
@@ -1629,6 +1629,6 @@
 
     // add third point
-    Find_third_point_for_Tesselation(
-      T.NormalVector, SearchDirection, OldSphereCenter, &Line, ThirdNode, Opt_Candidates,
+    FindThirdPointForTesselation(
+      T.NormalVector, SearchDirection, OldSphereCenter, &Line, ThirdNode, OptCandidates,
       &ShortestAngle, RADIUS, LC
     );
@@ -1638,10 +1638,10 @@
   }
 
-  if (Opt_Candidates->begin() == Opt_Candidates->end()) {
+  if (OptCandidates->begin() == OptCandidates->end()) {
     cerr << "WARNING: Could not find a suitable candidate." << endl;
     return false;
   }
   cout << Verbose(1) << "Third Points are ";
-  for (CandidateList::iterator it = Opt_Candidates->begin(); it != Opt_Candidates->end(); ++it) {
+  for (CandidateList::iterator it = OptCandidates->begin(); it != OptCandidates->end(); ++it) {
     cout << " " << *(*it)->point;
   }
@@ -1649,5 +1649,5 @@
 
   BoundaryLineSet *BaseRay = &Line;
-  for (CandidateList::iterator it = Opt_Candidates->begin(); it != Opt_Candidates->end(); ++it) {
+  for (CandidateList::iterator it = OptCandidates->begin(); it != OptCandidates->end(); ++it) {
     cout << Verbose(1) << " Third point candidate is " << *(*it)->point
     << " with circumsphere's center at " << (*it)->OptCenter << "." << endl;
@@ -1668,5 +1668,5 @@
       AddTesselationPoint(BaseRay->endpoints[1]->node, 2);
 
-      if (CheckLineCriteriaforDegeneratedTriangle(TPS)) {
+      if (CheckLineCriteriaForDegeneratedTriangle(TPS)) {
         AddTesselationLine(TPS[0], TPS[1], 0);
         AddTesselationLine(TPS[0], TPS[2], 1);
@@ -1697,5 +1697,5 @@
         // We demand that at most one new degenerate line is created and that this line also already exists (which has to be the case due to existentTrianglesCount == 1)
         // i.e. at least one of the three lines must be present with TriangleCount <= 1
-        if (CheckLineCriteriaforDegeneratedTriangle(TPS)) {
+        if (CheckLineCriteriaForDegeneratedTriangle(TPS)) {
           AddTesselationLine(TPS[0], TPS[1], 0);
           AddTesselationLine(TPS[0], TPS[2], 1);
@@ -1735,10 +1735,10 @@
   // remove all candidates from the list and then the list itself
   class CandidateForTesselation *remover = NULL;
-  for (CandidateList::iterator it = Opt_Candidates->begin(); it != Opt_Candidates->end(); ++it) {
+  for (CandidateList::iterator it = OptCandidates->begin(); it != OptCandidates->end(); ++it) {
     remover = *it;
     delete(remover);
   }
-  delete(Opt_Candidates);
-  cout << Verbose(0) << "End of Find_next_suitable_triangle\n";
+  delete(OptCandidates);
+  cout << Verbose(0) << "End of FindNextSuitableTriangle\n";
   return result;
 };
@@ -2047,12 +2047,12 @@
  * \param *Candidate pointer to candidate node on return
  * \param Oben vector indicating the outside
- * \param Opt_Candidate reference to recommended candidate on return
+ * \param OptCandidate reference to recommended candidate on return
  * \param Storage[3] array storing angles and other candidate information
  * \param RADIUS radius of virtual sphere
  * \param *LC LinkedCell structure with neighbouring points
  */
-void Tesselation::Find_second_point_for_Tesselation(TesselPoint* a, TesselPoint* Candidate, Vector Oben, TesselPoint*& Opt_Candidate, double Storage[3], double RADIUS, LinkedCell *LC)
-{
-  cout << Verbose(2) << "Begin of Find_second_point_for_Tesselation" << endl;
+void Tesselation::FindSecondPointForTesselation(TesselPoint* a, TesselPoint* Candidate, Vector Oben, TesselPoint*& OptCandidate, double Storage[3], double RADIUS, LinkedCell *LC)
+{
+  cout << Verbose(2) << "Begin of FindSecondPointForTesselation" << endl;
   Vector AngleCheck;
   double norm = -1., angle;
@@ -2092,13 +2092,13 @@
             if (a != Candidate) {
               // Calculate center of the circle with radius RADIUS through points a and Candidate
-              Vector OrthogonalizedOben, a_Candidate, Center;
+              Vector OrthogonalizedOben, aCandidate, Center;
               double distance, scaleFactor;
 
               OrthogonalizedOben.CopyVector(&Oben);
-              a_Candidate.CopyVector(a->node);
-              a_Candidate.SubtractVector(Candidate->node);
-              OrthogonalizedOben.ProjectOntoPlane(&a_Candidate);
+              aCandidate.CopyVector(a->node);
+              aCandidate.SubtractVector(Candidate->node);
+              OrthogonalizedOben.ProjectOntoPlane(&aCandidate);
               OrthogonalizedOben.Normalize();
-              distance = 0.5 * a_Candidate.Norm();
+              distance = 0.5 * aCandidate.Norm();
               scaleFactor = sqrt(((RADIUS * RADIUS) - (distance * distance)));
               OrthogonalizedOben.Scale(scaleFactor);
@@ -2111,5 +2111,5 @@
               AngleCheck.CopyVector(&Center);
               AngleCheck.SubtractVector(a->node);
-              norm = a_Candidate.Norm();
+              norm = aCandidate.Norm();
               // second point shall have smallest angle with respect to Oben vector
               if (norm < RADIUS*2.) {
@@ -2118,9 +2118,9 @@
                   //cout << Verbose(3) << "Old values of Storage: %lf %lf \n", Storage[0], Storage[1]);
                   cout << Verbose(3) << "Current candidate is " << *Candidate << ": Is a better candidate with distance " << norm << " and angle " << angle << " to oben " << Oben << ".\n";
-                  Opt_Candidate = Candidate;
+                  OptCandidate = Candidate;
                   Storage[0] = angle;
                   //cout << Verbose(3) << "Changing something in Storage: %lf %lf. \n", Storage[0], Storage[2]);
                 } else {
-                  //cout << Verbose(3) << "Current candidate is " << *Candidate << ": Looses with angle " << angle << " to a better candidate " << *Opt_Candidate << endl;
+                  //cout << Verbose(3) << "Current candidate is " << *Candidate << ": Looses with angle " << angle << " to a better candidate " << *OptCandidate << endl;
                 }
               } else {
@@ -2135,5 +2135,5 @@
         }
       }
-  cout << Verbose(2) << "End of Find_second_point_for_Tesselation" << endl;
+  cout << Verbose(2) << "End of FindSecondPointForTesselation" << endl;
 };
 
@@ -2161,5 +2161,5 @@
  * holds. Then, the normalized projection onto the SearchDirection is either +1 or -1 and thus states whether
  * the angle is uniquely in either (0,M_PI] or [M_PI, 2.*M_PI).
- * @param NormalVector normal direction of the base triangle (here the unit axis vector, \sa Find_starting_triangle())
+ * @param NormalVector normal direction of the base triangle (here the unit axis vector, \sa FindStartingTriangle())
  * @param SearchDirection general direction where to search for the next point, relative to center of BaseLine
  * @param OldSphereCenter center of sphere for base triangle, relative to center of BaseLine, giving null angle for the parameter circle
@@ -2167,9 +2167,9 @@
  * @param ThirdNode third point to avoid in search
  * @param candidates list of equally good candidates to return
- * @param ShortestAngle the current path length on this circle band for the current Opt_Candidate
+ * @param ShortestAngle the current path length on this circle band for the current OptCandidate
  * @param RADIUS radius of sphere
  * @param *LC LinkedCell structure with neighbouring points
  */
-void Tesselation::Find_third_point_for_Tesselation(Vector NormalVector, Vector SearchDirection, Vector OldSphereCenter, class BoundaryLineSet *BaseLine, class TesselPoint  *ThirdNode, CandidateList* &candidates, double *ShortestAngle, const double RADIUS, LinkedCell *LC)
+void Tesselation::FindThirdPointForTesselation(Vector NormalVector, Vector SearchDirection, Vector OldSphereCenter, class BoundaryLineSet *BaseLine, class TesselPoint  *ThirdNode, CandidateList* &candidates, double *ShortestAngle, const double RADIUS, LinkedCell *LC)
 {
   Vector CircleCenter;  // center of the circle, i.e. of the band of sphere's centers
@@ -2188,5 +2188,5 @@
   CandidateForTesselation *optCandidate = NULL;
 
-  cout << Verbose(1) << "Begin of Find_third_point_for_Tesselation" << endl;
+  cout << Verbose(1) << "Begin of FindThirdPointForTesselation" << endl;
 
   //cout << Verbose(2) << "INFO: NormalVector of BaseTriangle is " << NormalVector << "." << endl;
@@ -2345,8 +2345,8 @@
   if (candidates->size() > 1) {
     candidates->unique();
-    candidates->sort(sortCandidates);
-  }
-
-  cout << Verbose(1) << "End of Find_third_point_for_Tesselation" << endl;
+    candidates->sort(SortCandidates);
+  }
+
+  cout << Verbose(1) << "End of FindThirdPointForTesselation" << endl;
 };
 
@@ -2397,5 +2397,5 @@
   }
 
-  trianglePoints[0] = findClosestPoint(x, SecondPoint, LC);
+  trianglePoints[0] = FindClosestPoint(x, SecondPoint, LC);
   
   // check whether closest point is "too close" :), then it's inside
@@ -2408,6 +2408,6 @@
     return NULL;
   }
-  list<TesselPoint*> *connectedPoints = getCircleOfConnectedPoints(out, trianglePoints[0]);
-  list<TesselPoint*> *connectedClosestPoints = getNeighboursonCircleofConnectedPoints(out, connectedPoints, trianglePoints[0], x);
+  list<TesselPoint*> *connectedPoints = GetCircleOfConnectedPoints(out, trianglePoints[0]);
+  list<TesselPoint*> *connectedClosestPoints = GetNeighboursOnCircleOfConnectedPoints(out, connectedPoints, trianglePoints[0], x);
   delete(connectedPoints);
   trianglePoints[1] = connectedClosestPoints->front();
@@ -2497,5 +2497,5 @@
  * @return list of the all points linked to the provided one
  */
-list<TesselPoint*> * Tesselation::getCircleOfConnectedPoints(ofstream *out, TesselPoint* Point)
+list<TesselPoint*> * Tesselation::GetCircleOfConnectedPoints(ofstream *out, TesselPoint* Point)
 {
   list<TesselPoint*> *connectedPoints = new list<TesselPoint*>;
@@ -2558,5 +2558,5 @@
  * @return list of the two points linked to the provided one and closest to the point to be checked,
  */
-list<TesselPoint*> * Tesselation::getNeighboursonCircleofConnectedPoints(ofstream *out, list<TesselPoint*> *connectedPoints, TesselPoint* Point, Vector* Reference)
+list<TesselPoint*> * Tesselation::GetNeighboursOnCircleOfConnectedPoints(ofstream *out, list<TesselPoint*> *connectedPoints, TesselPoint* Point, Vector* Reference)
 {
   map<double, TesselPoint*> anglesOfPoints;
@@ -2597,5 +2597,5 @@
     helper.SubtractVector(Point->node);
     helper.ProjectOntoPlane(&PlaneNormal);
-    double angle = getAngle(helper, AngleZero, OrthogonalVector);
+    double angle = GetAngle(helper, AngleZero, OrthogonalVector);
     *out << Verbose(2) << "INFO: Calculated angle is " << angle << " for point " << **listRunner << "." << endl;
     anglesOfPoints.insert(pair<double, TesselPoint*>(angle, (*listRunner)));
@@ -2644,5 +2644,5 @@
     return 0.;
   }
-  list<TesselPoint*> *CircleofPoints = getCircleOfConnectedPoints(out, point->node);
+  list<TesselPoint*> *CircleofPoints = GetCircleOfConnectedPoints(out, point->node);
 
   // remove all triangles
@@ -2716,5 +2716,5 @@
  * \return true - there is such a line (i.e. creation of degenerated triangle is valid), false - no such line (don't create)
  */
-bool CheckLineCriteriaforDegeneratedTriangle(class BoundaryPointSet *nodes[3])
+bool CheckLineCriteriaForDegeneratedTriangle(class BoundaryPointSet *nodes[3])
 {
   bool result = false;
@@ -2750,5 +2750,5 @@
 /** Sort function for the candidate list.
  */
-bool sortCandidates(CandidateForTesselation* candidate1, CandidateForTesselation* candidate2) 
+bool SortCandidates(CandidateForTesselation* candidate1, CandidateForTesselation* candidate2)
 {
   Vector BaseLineVector, OrthogonalVector, helper;
@@ -2800,5 +2800,5 @@
  * @return point which is second closest to the provided one
  */
-TesselPoint* findSecondClosestPoint(const Vector* Point, LinkedCell* LC)
+TesselPoint* FindSecondClosestPoint(const Vector* Point, LinkedCell* LC)
 {
   LinkedNodes *List = NULL;
@@ -2846,6 +2846,4 @@
 };
 
-
-
 /**
  * Finds the point which is closest to the provided one.
@@ -2857,5 +2855,5 @@
  * @return point which is closest to the provided one, NULL if none found
  */
-TesselPoint* findClosestPoint(const Vector* Point, TesselPoint *&SecondPoint, LinkedCell* LC)
+TesselPoint* FindClosestPoint(const Vector* Point, TesselPoint *&SecondPoint, LinkedCell* LC)
 {
   LinkedNodes *List = NULL;
@@ -2904,5 +2902,4 @@
   return closestPoint;
 };
-
 
 /**
@@ -2971,4 +2968,92 @@
 }
 
+/**
+ * Finds all degenerated triangles within the tesselation structure.
+ *
+ * @return map of keys of degenerated triangle pairs, each triangle occurs twice
+ *         in the list, once as key and once as value
+ */
+map<int, int> Tesselation::FindAllDegeneratedTriangles()
+{
+  map<int, int> DegeneratedTriangles;
+
+  // sanity check
+  if (LinesOnBoundary.empty()) {
+    cout << Verbose(1) << "Warning: FindAllDegeneratedTriangles() was called without any tesselation structure.";
+    return DegeneratedTriangles;
+  }
+
+  LineMap::iterator LineRunner1, LineRunner2;
+
+  for (LineRunner1 = LinesOnBoundary.begin(); LineRunner1 != LinesOnBoundary.end(); ++LineRunner1) {
+    for (LineRunner2 = LinesOnBoundary.begin(); LineRunner2 != LinesOnBoundary.end(); ++LineRunner2) {
+      if ((LineRunner1->second != LineRunner2->second)
+        && (LineRunner1->second->endpoints[0] == LineRunner2->second->endpoints[0])
+        && (LineRunner1->second->endpoints[1] == LineRunner2->second->endpoints[1])
+      ) {
+        TriangleMap::iterator TriangleRunner1 = LineRunner1->second->triangles.begin(),
+          TriangleRunner2 = LineRunner2->second->triangles.begin();
+
+        for (; TriangleRunner1 != LineRunner1->second->triangles.end(); ++TriangleRunner1) {
+          for (; TriangleRunner2 != LineRunner2->second->triangles.end(); ++TriangleRunner2) {
+            if ((TriangleRunner1->second != TriangleRunner2->second)
+              && (TriangleRunner1->second->endpoints[0] == TriangleRunner2->second->endpoints[0])
+              && (TriangleRunner1->second->endpoints[1] == TriangleRunner2->second->endpoints[1])
+              && (TriangleRunner1->second->endpoints[2] == TriangleRunner2->second->endpoints[2])
+            ) {
+              DegeneratedTriangles[TriangleRunner1->second->Nr] = TriangleRunner2->second->Nr;
+              DegeneratedTriangles[TriangleRunner2->second->Nr] = TriangleRunner1->second->Nr;
+            }
+          }
+        }
+      }
+    }
+  }
+
+  cout << Verbose(1) << "FindAllDegeneratedTriangles() found " << DegeneratedTriangles.size() << " triangles." << endl;
+  map<int,int>::iterator it;
+  for (it = DegeneratedTriangles.begin(); it != DegeneratedTriangles.end(); it++)
+      cout << Verbose(2) << (*it).first << " => " << (*it).second << endl;
+
+  return DegeneratedTriangles;
+}
+
+/**
+ * Purges degenerated triangles from the tesselation structure if they are not
+ * necessary to keep a single point within the structure.
+ */
+void Tesselation::RemoveDegeneratedTriangles()
+{
+  map<int, int> DegeneratedTriangles = FindAllDegeneratedTriangles();
+
+  for (map<int, int>::iterator TriangleKeyRunner = DegeneratedTriangles.begin();
+    TriangleKeyRunner != DegeneratedTriangles.end(); ++TriangleKeyRunner
+  ) {
+    BoundaryTriangleSet *triangle = TrianglesOnBoundary.find(TriangleKeyRunner->first)->second,
+      *partnerTriangle = TrianglesOnBoundary.find(TriangleKeyRunner->second)->second;
+
+    bool trianglesShareLine = false;
+    for (int i = 0; i < 3; ++i)
+      for (int j = 0; j < 3; ++j)
+        trianglesShareLine = trianglesShareLine || triangle->lines[i] == partnerTriangle->lines[j];
+
+    if (trianglesShareLine
+      && (triangle->endpoints[1]->LinesCount > 2)
+      && (triangle->endpoints[2]->LinesCount > 2)
+      && (triangle->endpoints[0]->LinesCount > 2)
+    ) {
+      cout << Verbose(1) << "RemoveDegeneratedTriangles() removes triangle " << *triangle << "." << endl;
+      RemoveTesselationTriangle(triangle);
+      cout << Verbose(1) << "RemoveDegeneratedTriangles() removes triangle " << *partnerTriangle << "." << endl;
+      RemoveTesselationTriangle(partnerTriangle);
+      DegeneratedTriangles.erase(DegeneratedTriangles.find(partnerTriangle->Nr));
+    } else {
+      cout << Verbose(1) << "RemoveDegeneratedTriangles() does not remove triangle " << *triangle
+        << " and its partner " << *partnerTriangle << " because it is essential for at"
+        << " least one of the endpoints to be kept in the tesselation structure." << endl;
+    }
+  }
+}
+
 /** Gets the angle between a point and a reference relative to the provided center.
  * We have two shanks point and reference between which the angle is calculated
@@ -2980,5 +3065,5 @@
  * @return angle between point and reference
  */
-double getAngle(const Vector &point, const Vector &reference, const Vector OrthogonalVector)
+double GetAngle(const Vector &point, const Vector &reference, const Vector OrthogonalVector)
 {
   if (reference.IsZero())
Index: src/tesselation.hpp
===================================================================
--- src/tesselation.hpp	(revision 1d9b7aa1fbdc49500a7e863a8553e98d6859a779)
+++ src/tesselation.hpp	(revision 34e05926b0e581fa27fb52f292bc4ac9378e13b2)
@@ -20,4 +20,5 @@
 #include <map>
 #include <list>
+#include <set>
 
 
@@ -203,8 +204,8 @@
 
     // concave envelope
-    void Find_starting_triangle(ofstream *out, const double RADIUS, class LinkedCell *LC);
-    void Find_second_point_for_Tesselation(class TesselPoint* a, class TesselPoint* Candidate, Vector Oben, class TesselPoint*& Opt_Candidate, double Storage[3], double RADIUS, class LinkedCell *LC);
-    void Find_third_point_for_Tesselation(Vector NormalVector, Vector SearchDirection, Vector OldSphereCenter, class BoundaryLineSet *BaseLine, class TesselPoint *ThirdNode, CandidateList* &candidates, double *ShortestAngle, const double RADIUS, class LinkedCell *LC);
-    bool Find_next_suitable_triangle(ofstream *out, BoundaryLineSet &Line, BoundaryTriangleSet &T, const double& RADIUS, int N, LinkedCell *LC);
+    void FindStartingTriangle(ofstream *out, const double RADIUS, class LinkedCell *LC);
+    void FindSecondPointForTesselation(class TesselPoint* a, class TesselPoint* Candidate, Vector Oben, class TesselPoint*& OptCandidate, double Storage[3], double RADIUS, class LinkedCell *LC);
+    void FindThirdPointForTesselation(Vector NormalVector, Vector SearchDirection, Vector OldSphereCenter, class BoundaryLineSet *BaseLine, class TesselPoint *ThirdNode, CandidateList* &candidates, double *ShortestAngle, const double RADIUS, class LinkedCell *LC);
+    bool FindNextSuitableTriangle(ofstream *out, BoundaryLineSet &Line, BoundaryTriangleSet &T, const double& RADIUS, int N, LinkedCell *LC);
     int CheckPresenceOfTriangle(ofstream *out, class TesselPoint *Candidates[3]);
 
@@ -217,8 +218,9 @@
     bool PickFarthestofTwoBaselines(ofstream *out, class BoundaryLineSet *Base);
     class BoundaryPointSet *IsConvexRectangle(ofstream *out, class BoundaryLineSet *Base);
-
-
-    list<TesselPoint*> * getCircleOfConnectedPoints(ofstream *out, TesselPoint* Point);
-    list<TesselPoint*> * getNeighboursonCircleofConnectedPoints(ofstream *out, list<TesselPoint*> *connectedPoints, TesselPoint* Point, Vector* Reference);
+    map<int, int> FindAllDegeneratedTriangles();
+    void RemoveDegeneratedTriangles();
+
+    list<TesselPoint*> * GetCircleOfConnectedPoints(ofstream *out, TesselPoint* Point);
+    list<TesselPoint*> * GetNeighboursOnCircleOfConnectedPoints(ofstream *out, list<TesselPoint*> *connectedPoints, TesselPoint* Point, Vector* Reference);
     list<BoundaryTriangleSet*> *FindTriangles(TesselPoint* Points[3]);
     list<BoundaryTriangleSet*> * FindClosestTrianglesToPoint(ofstream *out, Vector *x, LinkedCell* LC);
@@ -262,9 +264,9 @@
 };
 
-bool CheckLineCriteriaforDegeneratedTriangle(class BoundaryPointSet *nodes[3]);
-bool sortCandidates(class CandidateForTesselation* candidate1, class CandidateForTesselation* candidate2);
-TesselPoint* findClosestPoint(const Vector* Point, TesselPoint *&SecondPoint, LinkedCell* LC);
-TesselPoint* findSecondClosestPoint(const Vector*, LinkedCell*);
-double getAngle(const Vector &point, const Vector &reference, const Vector OrthogonalVector);
+bool CheckLineCriteriaForDegeneratedTriangle(class BoundaryPointSet *nodes[3]);
+bool SortCandidates(class CandidateForTesselation* candidate1, class CandidateForTesselation* candidate2);
+TesselPoint* FindClosestPoint(const Vector* Point, TesselPoint *&SecondPoint, LinkedCell* LC);
+TesselPoint* FindSecondClosestPoint(const Vector*, LinkedCell*);
+double GetAngle(const Vector &point, const Vector &reference, const Vector OrthogonalVector);
 Vector * GetClosestPointBetweenLine(ofstream *out, class BoundaryLineSet *Base, class BoundaryLineSet *OtherBase);
 
Index: src/tesselationhelpers.cpp
===================================================================
--- src/tesselationhelpers.cpp	(revision 1d9b7aa1fbdc49500a7e863a8553e98d6859a779)
+++ src/tesselationhelpers.cpp	(revision 34e05926b0e581fa27fb52f292bc4ac9378e13b2)
@@ -8,5 +8,5 @@
 #include "tesselationhelpers.hpp"
 
-double det_get(gsl_matrix *A, int inPlace) {
+double DetGet(gsl_matrix *A, int inPlace) {
   /*
   inPlace = 1 => A is replaced with the LU decomposed copy.
@@ -36,5 +36,5 @@
 };
 
-void get_sphere(Vector *center, Vector &a, Vector &b, Vector &c, double RADIUS)
+void GetSphere(Vector *center, Vector &a, Vector &b, Vector &c, double RADIUS)
 {
   gsl_matrix *A = gsl_matrix_calloc(3,3);
@@ -46,5 +46,5 @@
     gsl_matrix_set(A, i, 2, c.x[i]);
   }
-  m11 = det_get(A, 1);
+  m11 = DetGet(A, 1);
 
   for(int i=0;i<3;i++) {
@@ -53,5 +53,5 @@
     gsl_matrix_set(A, i, 2, c.x[i]);
   }
-  m12 = det_get(A, 1);
+  m12 = DetGet(A, 1);
 
   for(int i=0;i<3;i++) {
@@ -60,5 +60,5 @@
     gsl_matrix_set(A, i, 2, c.x[i]);
   }
-  m13 = det_get(A, 1);
+  m13 = DetGet(A, 1);
 
   for(int i=0;i<3;i++) {
@@ -67,5 +67,5 @@
     gsl_matrix_set(A, i, 2, b.x[i]);
   }
-  m14 = det_get(A, 1);
+  m14 = DetGet(A, 1);
 
   if (fabs(m11) < MYEPSILON)
@@ -101,5 +101,5 @@
  * @param Umkreisradius double radius of circumscribing circle
  */
-void Get_center_of_sphere(Vector* Center, Vector a, Vector b, Vector c, Vector *NewUmkreismittelpunkt, Vector* Direction, Vector* AlternativeDirection,
+void GetCenterOfSphere(Vector* Center, Vector a, Vector b, Vector c, Vector *NewUmkreismittelpunkt, Vector* Direction, Vector* AlternativeDirection,
     double HalfplaneIndicator, double AlternativeIndicator, double alpha, double beta, double gamma, double RADIUS, double Umkreisradius)
 {
@@ -107,5 +107,5 @@
   double Restradius;
   Vector OtherCenter;
-  cout << Verbose(3) << "Begin of Get_center_of_sphere.\n";
+  cout << Verbose(3) << "Begin of GetCenterOfSphere.\n";
   Center->Zero();
   helper.CopyVector(&a);
@@ -153,7 +153,7 @@
   Center->AddVector(&TempNormal);
   cout << Verbose(0) << "Center of sphere of circumference is " << *Center << ".\n";
-  get_sphere(&OtherCenter, a, b, c, RADIUS);
+  GetSphere(&OtherCenter, a, b, c, RADIUS);
   cout << Verbose(0) << "OtherCenter of sphere of circumference is " << OtherCenter << ".\n";
-  cout << Verbose(3) << "End of Get_center_of_sphere.\n";
+  cout << Verbose(3) << "End of GetCenterOfSphere.\n";
 };
 
@@ -307,5 +307,5 @@
     gsl_multimin_fminimizer *s = NULL;
     gsl_vector *ss, *x;
-    gsl_multimin_function minex_func;
+    gsl_multimin_function minexFunction;
 
     size_t iter = 0;
@@ -324,10 +324,10 @@
 
     /* Initialize method and iterate */
-    minex_func.n = NDIM;
-    minex_func.f = &MinIntersectDistance;
-    minex_func.params = (void *)&par;
+    minexFunction.n = NDIM;
+    minexFunction.f = &MinIntersectDistance;
+    minexFunction.params = (void *)&par;
 
     s = gsl_multimin_fminimizer_alloc(T, NDIM);
-    gsl_multimin_fminimizer_set(s, &minex_func, x, ss);
+    gsl_multimin_fminimizer_set(s, &minexFunction, x, ss);
 
     do {
Index: src/tesselationhelpers.hpp
===================================================================
--- src/tesselationhelpers.hpp	(revision 1d9b7aa1fbdc49500a7e863a8553e98d6859a779)
+++ src/tesselationhelpers.hpp	(revision 34e05926b0e581fa27fb52f292bc4ac9378e13b2)
@@ -28,7 +28,7 @@
 #include "vector.hpp"
 
-double det_get(gsl_matrix *A, int inPlace);
-void get_sphere(Vector *center, Vector &a, Vector &b, Vector &c, double RADIUS);
-void Get_center_of_sphere(Vector* Center, Vector a, Vector b, Vector c, Vector *NewUmkreismittelpunkt, Vector* Direction, Vector* AlternativeDirection, double HalfplaneIndicator, double AlternativeIndicator, double alpha, double beta, double gamma, double RADIUS, double Umkreisradius);
+double DetGet(gsl_matrix *A, int inPlace);
+void GetSphere(Vector *center, Vector &a, Vector &b, Vector &c, double RADIUS);
+void GetCenterOfSphere(Vector* Center, Vector a, Vector b, Vector c, Vector *NewUmkreismittelpunkt, Vector* Direction, Vector* AlternativeDirection, double HalfplaneIndicator, double AlternativeIndicator, double alpha, double beta, double gamma, double RADIUS, double Umkreisradius);
 void GetCenterofCircumcircle(Vector *Center, Vector *a, Vector *b, Vector *c);
 double GetPathLengthonCircumCircle(Vector &CircleCenter, Vector &CirclePlaneNormal, double CircleRadius, Vector &NewSphereCenter, Vector &OldSphereCenter, Vector &NormalVector, Vector &SearchDirection);
@@ -36,6 +36,3 @@
 bool existsIntersection(Vector point1, Vector point2, Vector point3, Vector point4);
 
-//bool Choose_preferable_third_point(atom *Candidate, atom *OptCandidate, class BoundaryLineSet *BaseLine, atom *ThirdNode, Tesselation *Tess);
-
-
 #endif /* TESSELATIONHELPERS_HPP_ */
